# Interface: AttestationServiceStatusResponse

## Hierarchy

* **AttestationServiceStatusResponse**

## Index

### Properties

* [address](_wrappers_attestations_.attestationservicestatusresponse.md#address)
* [affiliation](_wrappers_attestations_.attestationservicestatusresponse.md#affiliation)
* [ageOfLatestBlock](_wrappers_attestations_.attestationservicestatusresponse.md#ageoflatestblock)
* [attestationServiceURL](_wrappers_attestations_.attestationservicestatusresponse.md#attestationserviceurl)
* [attestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#attestationsigner)
* [blacklistedRegionCodes](_wrappers_attestations_.attestationservicestatusresponse.md#blacklistedregioncodes)
* [blsPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#blspublickey)
* [ecdsaPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#ecdsapublickey)
* [error](_wrappers_attestations_.attestationservicestatusresponse.md#error)
* [hasAttestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#hasattestationsigner)
* [metadataURL](_wrappers_attestations_.attestationservicestatusresponse.md#metadataurl)
* [name](_wrappers_attestations_.attestationservicestatusresponse.md#name)
* [okStatus](_wrappers_attestations_.attestationservicestatusresponse.md#okstatus)
* [rightAccount](_wrappers_attestations_.attestationservicestatusresponse.md#rightaccount)
* [score](_wrappers_attestations_.attestationservicestatusresponse.md#score)
* [signer](_wrappers_attestations_.attestationservicestatusresponse.md#signer)
* [smsProviders](_wrappers_attestations_.attestationservicestatusresponse.md#smsproviders)
* [state](_wrappers_attestations_.attestationservicestatusresponse.md#state)
* [version](_wrappers_attestations_.attestationservicestatusresponse.md#version)

## Properties

###  address

• **address**: *Address*

*Defined in [contractkit/src/wrappers/Attestations.ts:807](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L807)*

___

###  affiliation

• **affiliation**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:810](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L810)*

___

###  ageOfLatestBlock

• **ageOfLatestBlock**: *number | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:824](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L824)*

___

###  attestationServiceURL

• **attestationServiceURL**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:814](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L814)*

___

###  attestationSigner

• **attestationSigner**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:813](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L813)*

___

###  blacklistedRegionCodes

• **blacklistedRegionCodes**: *string[] | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:819](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L819)*

___

###  blsPublicKey

• **blsPublicKey**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:809](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L809)*

___

###  ecdsaPublicKey

• **ecdsaPublicKey**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:808](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L808)*

___

###  error

• **error**: *null | Error*

*Defined in [contractkit/src/wrappers/Attestations.ts:817](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L817)*

___

###  hasAttestationSigner

• **hasAttestationSigner**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:812](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L812)*

___

###  metadataURL

• **metadataURL**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:815](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L815)*

___

###  name

• **name**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:806](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L806)*

___

###  okStatus

• **okStatus**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:816](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L816)*

___

###  rightAccount

• **rightAccount**: *boolean*

*Defined in [contractkit/src/wrappers/Attestations.ts:820](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L820)*

___

###  score

• **score**: *BigNumber*

*Defined in [contractkit/src/wrappers/Attestations.ts:811](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L811)*

___

###  signer

• **signer**: *string*

*Defined in [contractkit/src/wrappers/Attestations.ts:821](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L821)*

___

###  smsProviders

• **smsProviders**: *string[]*

*Defined in [contractkit/src/wrappers/Attestations.ts:818](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L818)*

___

###  state

• **state**: *[AttestationServiceStatusState](../enums/_wrappers_attestations_.attestationservicestatusstate.md)*

*Defined in [contractkit/src/wrappers/Attestations.ts:822](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L822)*

___

###  version

• **version**: *string | null*

*Defined in [contractkit/src/wrappers/Attestations.ts:823](https://github.com/celo-org/celo-monorepo/blob/master/packages/sdk/contractkit/src/wrappers/Attestations.ts#L823)*
