# Changelog
All notable changes to the [Celo SDK](https://docs.celo.org/developer-guide/sdk-code-reference) will be documented in this file. 

This package will follow the release process outlined [here](https://docs.celo.org/community/release-process).


## Development (not published yet)
### **[1.0.2--dev]**
Features
- [one-line summary] - [link PR]

Bug Fixes
- [one-line summary] - [link PR]

Other Changes
- [one-line summary] - [link PR]


## Published
### **[1.0.1]** -- 2021-01-20
Features
- Moved into SDK directory, and made compatible with SDK modularization changes - [#4790](https://github.com/celo-org/celo-monorepo/pull/4790)
- Added ability to specify per token expiry in sorted oracles - [#6125](https://github.com/celo-org/celo-monorepo/pull/6125)
- Adds metrics to ODIS - [#5749](https://github.com/celo-org/celo-monorepo/pull/5749)
- ODIS Client Update - [#5621](https://github.com/celo-org/celo-monorepo/pull/5621)]
- Extend SortedOraclesWrapper to support reporting for arbitrary currency pairs - [#6401](https://github.com/celo-org/celo-monorepo/pull/6401)
- IP712 signature over attestation security code - [#6209](https://github.com/celo-org/celo-monorepo/pull/6209)
- Enable 8 digit code verification and ignore attestation services below 1.1.0 - [#6437](https://github.com/celo-org/celo-monorepo/pull/6437)
- Handle revert flag from web3 for contract calls - [#6515](https://github.com/celo-org/celo-monorepo/pull/6515)
- CIP-21: Governable LookbackWindow Smart Contract changes - [#4747](https://github.com/celo-org/celo-monorepo/pull/4747)

Bug Fixes
- Reverted PR #5709, "Add CUSD transfer to MTW" - [#5982](https://github.com/celo-org/celo-monorepo/pull/5982)
- Removes unnecessary check in vote function - [#6056](https://github.com/celo-org/celo-monorepo/pull/6056)
- Treat null receipt in Connection.getTransactionReceipt - [#6178](https://github.com/celo-org/celo-monorepo/pull/6178)
- Add id field to eth_sign and eth_signTypedData calls - [#6264](https://github.com/celo-org/celo-monorepo/pull/6264)
- Pin our version of secp256k1 - [#6432](https://github.com/celo-org/celo-monorepo/pull/6432)
- Updated ContractKit's README.md [#6450](https://github.com/celo-org/celo-monorepo/pull/6450)
- Fix @ledgerhq package version in CK and CLI  - [#6496](https://github.com/celo-org/celo-monorepo/pull/6496)

Other Changes
- Added ability to withdraw attestation rewards via CLI - [#6176](https://github.com/celo-org/celo-monorepo/pull/6176)
- Autogenerated documentation for all new sdk packages - [#6199](https://github.com/celo-org/celo-monorepo/pull/6199)
- Update homepage and repository for sdk packages in documentation - [#5998](https://github.com/celo-org/celo-monorepo/pull/5998)
- Add Portuguese in wallet - [#5945](https://github.com/celo-org/celo-monorepo/pull/5945)
- Mnemonic validation flexibility within Valora - [#6372](https://github.com/celo-org/celo-monorepo/pull/6372)
- Show the international format when displaying phone numbers in Valora [#6350](https://github.com/celo-org/celo-monorepo/pull/6350)
- Modified version of #6474: Fix dependencies to work on standalone installations and in environments without Git [#6516](https://github.com/celo-org/celo-monorepo/pull/6516)

_Note: Changes before and including 1.0.0 are not documented_

